Opened 5 years ago

Closed 5 years ago

#48256 closed defect (duplicate)

llvm-3.3 configuration fails if Python 3.4 is set as default

Reported by: rotbart@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 2.3.3
Keywords: Cc:
Port: llvm-3.3

Description

Get "Error: Failed to configure llvm-3.3" if the default Python is not 2.7. This is due to the use of the Python 2.7 print statement in the configuration script. This problem can be worked around by running sudo port select --set python python27 before installing or upgrading llvm-3.3. The problem can be fixed by replacing the print statement with a the print function

Change History (1)

comment:1 Changed 5 years ago by ryandesign (Ryan Schmidt)

Port: llvm-3.3 added
Resolution: duplicate
Status: newclosed

Duplicate of #32575.

Note: See TracTickets for help on using tickets.